Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 3692 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

FUNKCE IF - VÝBĚR Z EXCELU

 Odpovědět Odpovědět archiv
Autor
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 369
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: FUNKCE IF - VÝBĚR Z EXCELU
    Zasláno: 17.dub.2019 v 09:41
Zdravím,

Mám pravidlo které mi pomocí funkce if, ElseIf zjistí jaký je použitý materiál a podle toho vybere zkratku materiálu a napíše jí do Ivlastností - Custom "MAT". Pravidlo jen s pár materiály přikládám níže. Je možné toto pravidlo upravit tak aby se podívalo do excelovské tabulky? z důvodu jednodušího přidávání zkratek.

Dim oParams As Parameters
Dim oPartDoc As PartDocument = ThisDoc.Document
Dim oPartCompDef As PartComponentDefinition = oPartDoc.ComponentDefinition
oParams = oPartCompDef.Parameters

Dim oUserParams As UserParameters = oParams.UserParameters

Try
  p = Parameter("MAT")
Catch
  oUserParams.AddByValue("MAT","Neni", UnitsTypeEnum.kTextUnits)
End Try

If iProperties.Material = "Hlin�k 6061" Then
iProperties.Value("Custom", "MAT") = "AL"
Parameter("MAT")=iProperties.Value("Custom", "MAT")

ElseIf iProperties.Material = "Hlin�k 6061 - PROTISKLUZ" Then
iProperties.Value("Custom", "MAT") = "AL-Pr."
Parameter("MAT")=iProperties.Value("Custom", "MAT")

ElseIf iProperties.Material = "Hlin�k 6061 - B�L� ( RAL 9010 )" Then
iProperties.Value("Custom", "MAT") = "AL-(B)"
Parameter("MAT")=iProperties.Value("Custom", "MAT")

ElseIf iProperties.Material = "NEREZ (�sn 17 240 AISI 304 )" Then
iProperties.Value("Custom", "MAT") = "NE"
Parameter("MAT")=iProperties.Value("Custom", "MAT")


End If

MultiValue.UpdateAfterChange = True

'MessageBox.Show(Parameter("MAT"), "Kontrola Materi�lu", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1)



Myslím tím že bych měl materiál ve sloupci A a zkratku ve sloupci B:

A                             B

Hliník 6061 AL
NEREZ NE
....
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 5355:VIPZmizel mi panel nástrojů Vault z Excelu a Wordu.
Tip 9742:Jak vložit XY souřadnice z Excelu jako vrcholy křivky v AutoCADu?
Tip 9526:Chyba při editaci iSoučásti - "Export tabulky se nezdařil".
Tip 6417:Vložení živé XLS/XLSx tabulky Excelu do DWG výkresu AutoCADu.
Tip 12015:Propojení tabulek BIM projektu Revitu s Excelem.
Tip 5835:Snadný import souřadnic bodů a čar z Excelu do AutoCADu.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,516 sekund.